try: paraview.simple
except: from paraview.simple import *
paraview.simple._DisableFirstRenderCameraReset()

shockTube0_OpenFOAM = GetActiveSource()

GradientOfUnstructuredDataSet1 = GradientOfUnstructuredDataSet()

GradientOfUnstructuredDataSet1.ScalarArray = ['POINTS', 'p']

GradientOfUnstructuredDataSet1.ScalarArray = ['POINTS', 'rho']
GradientOfUnstructuredDataSet1.ResultArrayName = 'Gradients_rho'

RenderView1 = GetRenderView()

DataRepresentation2 = Show()
DataRepresentation2.EdgeColor = [0.0, 0.0, 0.50000762951094835]
DataRepresentation2.SelectionPointFieldDataArrayName = 'Gradients_rho'
DataRepresentation2.SelectionCellFieldDataArrayName = 'p'
DataRepresentation2.ScalarOpacityUnitDistance = 0.79781709333305195
DataRepresentation2.ExtractedBlockIndex = 2

DataRepresentation1 = GetDisplayProperties( shockTube0_OpenFOAM )
DataRepresentation1.Visibility = 0

GradientOfUnstructuredDataSet2 = GradientOfUnstructuredDataSet()

GradientOfUnstructuredDataSet2.ScalarArray = ['POINTS', 'Gradients_rho']

GradientOfUnstructuredDataSet2.ResultArrayName = 'Gradients_2nd_rho'

DataRepresentation3 = Show()
DataRepresentation3.EdgeColor = [0.0, 0.0, 0.50000762951094835]
DataRepresentation3.SelectionPointFieldDataArrayName = 'Gradients_2nd_rho'
DataRepresentation3.SelectionCellFieldDataArrayName = 'p'
DataRepresentation3.ScalarOpacityUnitDistance = 0.79781709333305195
DataRepresentation3.ExtractedBlockIndex = 2

DataRepresentation2.Visibility = 0

Calculator1 = Calculator()

Calculator1.Function = '-(Gradients_2nd_rho_0+Gradients_2nd_rho_4)'
Calculator1.ResultArrayName = 'Result_shadow'

DataRepresentation4 = Show()
DataRepresentation4.EdgeColor = [0.0, 0.0, 0.50000762951094835]
DataRepresentation4.SelectionPointFieldDataArrayName = 'Result_shadow'
DataRepresentation4.SelectionCellFieldDataArrayName = 'p'
DataRepresentation4.ColorArrayName = ('POINT_DATA', 'Result_shadow')
DataRepresentation4.ScalarOpacityUnitDistance = 0.79781709333305195
DataRepresentation4.ExtractedBlockIndex = 2

a1_Result_shadow_PVLookupTable = GetLookupTableForArray( "Result_shadow", 1, RGBPoints=[-11.039105415344238, 0.23000000000000001, 0.29899999999999999, 0.754, 2.6480097770690918, 0.86499999999999999, 0.86499999999999999, 0.86499999999999999, 16.335124969482422, 0.70599999999999996, 0.016, 0.14999999999999999], VectorMode='Magnitude', NanColor=[0.25, 0.0, 0.0], ColorSpace='Diverging', ScalarRangeInitialized=1.0 )

a1_Result_shadow_PiecewiseFunction = CreatePiecewiseFunction( Points=[-11.039105415344238, 0.0, 0.5, 0.0, 16.335124969482422, 1.0, 0.5, 0.0] )

DataRepresentation3.Visibility = 0

DataRepresentation4.ScalarOpacityFunction = a1_Result_shadow_PiecewiseFunction
DataRepresentation4.LookupTable = a1_Result_shadow_PVLookupTable

a1_Result_shadow_PVLookupTable.NanColor = [1.0, 0.0, 0.0]
a1_Result_shadow_PVLookupTable.RGBPoints = [-11.039105415344238, 1.0, 1.0, 1.0, 16.335124969482422, 0.0, 0.0, 0.0]
a1_Result_shadow_PVLookupTable.ScalarOpacityFunction = a1_Result_shadow_PiecewiseFunction
a1_Result_shadow_PVLookupTable.ColorSpace = 'RGB'

ScalarBarWidgetRepresentation1 = CreateScalarBar( Title='Result_shadow', LabelFontSize=12, Enabled=1, LookupTable=a1_Result_shadow_PVLookupTable, TitleFontSize=12 )
GetRenderView().Representations.append(ScalarBarWidgetRepresentation1)

Render()

